<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019d1fb3-1a5f-7083-91a6-b74c759027ec,g:201cb33c-28ed-496c-9973-e60e6c0eefa8-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#PvpDisclosure"/>
  <link:presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_SCTPensionMember" xlink:href="clf-20260402.xsd#clf_SCTPensionMember"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_SCTPensionMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_PensionCurrentYearServiceCostMember" xlink:href="clf-20260402.xsd#clf_PensionCurrentYearServiceCostMember"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_PensionCurrentYearServiceCostMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_PensionPriorYearServiceCostImpactingCurrentYearMember" xlink:href="clf-20260402.xsd#clf_PensionPriorYearServiceCostImpactingCurrentYearMember"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_PensionPriorYearServiceCostImpactingCurrentYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_GrantDateValuesInTheSCTMember" xlink:href="clf-20260402.xsd#clf_GrantDateValuesInTheSCTMember"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_GrantDateValuesInTheSCTMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" xlink:href="clf-20260402.xsd#clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_YearEndFairValueOfUnvestedAwardsGrantedInTheCurrentYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" xlink:href="clf-20260402.xsd#clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_YearOverYearDifferenceOfYearEndFairValuesForUnvestedAwardsGrantedInPriorYearsMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" xlink:href="clf-20260402.xsd#clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_FairValuesAtVestDateForAwardsGrantedAndVestedInCurrentYearMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" xlink:href="clf-20260402.xsd#clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_DifferencesInFairValuesBetweenPriorYearEndFairValuesAndVestDateFairValuesForAwardsGrantedInPriorYearsMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" xlink:href="clf-20260402.xsd#clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_ForfeituresDuringCurrentYearEqualToPriorYearEndFairValueMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
    <link:loc xlink:type="locator" xlink:label="loc_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" xlink:href="clf-20260402.xsd#clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_clf_DividendsOrDividendEquivalentsNotOtherwiseIncludedInTheTotalCompensationMember" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/label"/>
  </link:presentationLink>
</link:linkbase>
